#pragma once


//copy_if algorithm that should've been included w/ the set of algorithms provided by
//the standard library, but wasn't.  See "The C++ Programming Language," Stroustrup.
//straight out of that book, so not ours to copywrite.
//
//the names below follow typical C++ STL coding style



template<class In, class Out, class Pred>
Out copy_if( In first, In last, Out res, Pred p )
{
	while( first != last )
	{
		if( p( *first ))
		{
			*res++ = *first;
		}
		++first;
	}
	return res;
}


