﻿using System.Windows;
using UPhilSharp_Example.ViewModel;

namespace UPhilSharp_Example
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private void App_OnStartup(object sender, StartupEventArgs e)
        {
            var mainWindow = new MainWindow();

            MainWindowViewModel mwvm = new MainWindowViewModel();

            mainWindow.DataContext = mwvm;

            mainWindow.Show();
        }
    }
}
